View Issue Details

IDProjectCategoryView StatusLast Update
0014087LazarusWidgetsetpublic2011-12-01 11:22
ReporterDoug kennedy Assigned ToFelipe Monteiro de Carvalho  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.26.2 
Fixed in Version0.9.27 (SVN) 
Summary0014087: memobox difference between win32 and winCE arm
Descriptionmemo1.Text:=memo1.Text+'test';
  memo1.Text:=memo1.Text+'test';
  memo1.Text:=memo1.Text+'test';
In win32 it produces 'testtesttest' the expected result
when cross compiled to arm using lazarus and downloading the exe to Wince it produces
'test'
'test'
'test'
An unexpected result
Additional InformationThis was fixed recently in win32 perhaps the wince behavior was overlooked
Tagswince
Fixed in Revision18820
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0009653 closedVincent Snijders TMemo adds a new line each time... 

Activities

Vincent Snijders

2009-07-02 08:59

manager   ~0028897

The fix for win32 was a change in the LCL and will work for wince too (probably). Test Lazarus 0.9.27 and close if ok.

Doug kennedy

2009-07-08 20:44

reporter   ~0028984

I can't confirm this is fixed . I tried 0.9.27 and it has its own issues with missing TAChart packages but after ignoring tachart errors a compile in win32 gets 'testtesttest' and a compile to WinCe arm still gets three lines
test
test
test

Vincent Snijders

2009-07-08 20:51

manager   ~0028986

Unassigned, somebody else has to look at it (some day).

Felipe Monteiro de Carvalho

2009-10-20 17:12

developer   ~0031527

I tested and it works ok, so it was probably fixed either by vincent in this revision or latter in the mean time. I remember vaguely fixing some issues with Wince TMemo. If it still doesn't work for you, reopen and attach a test project.

Issue History

Date Modified Username Field Change
2009-07-02 03:48 Doug kennedy New Issue
2009-07-02 03:48 Doug kennedy Widgetset => WinCE
2009-07-02 07:53 Vincent Snijders Relationship added related to 0009653
2009-07-02 08:09 Vincent Snijders Status new => assigned
2009-07-02 08:09 Vincent Snijders Assigned To => Vincent Snijders
2009-07-02 08:59 Vincent Snijders Fixed in Revision => 18820
2009-07-02 08:59 Vincent Snijders LazTarget => -
2009-07-02 08:59 Vincent Snijders Status assigned => resolved
2009-07-02 08:59 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2009-07-02 08:59 Vincent Snijders Resolution open => fixed
2009-07-02 08:59 Vincent Snijders Note Added: 0028897
2009-07-02 09:00 Vincent Snijders Category Other => Virtual Treeview
2009-07-08 20:44 Doug kennedy Status resolved => assigned
2009-07-08 20:44 Doug kennedy Resolution fixed => reopened
2009-07-08 20:44 Doug kennedy Note Added: 0028984
2009-07-08 20:51 Vincent Snijders Note Added: 0028986
2009-07-08 20:51 Vincent Snijders Assigned To Vincent Snijders =>
2009-07-08 20:51 Vincent Snijders Status assigned => acknowledged
2009-09-06 19:25 Vincent Snijders Category Virtual Treeview => Widgetset
2009-10-20 16:54 Felipe Monteiro de Carvalho Status acknowledged => assigned
2009-10-20 16:54 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2009-10-20 17:06 Felipe Monteiro de Carvalho Tag Attached: wince
2009-10-20 17:12 Felipe Monteiro de Carvalho Status assigned => resolved
2009-10-20 17:12 Felipe Monteiro de Carvalho Resolution reopened => fixed
2009-10-20 17:12 Felipe Monteiro de Carvalho Note Added: 0031527
2011-12-01 11:22 Marc Weustink Status resolved => closed